package com.zanxiang.game.module.manage.pojo.params;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.zanxiang.game.module.mybatis.entity.PromoChannel;
import com.zanxiang.module.web.pojo.BaseListDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDate;

/**
 * @author : lingfeng
 * @time : 2022-11-23
 * @description : 推广列表参数
 */
@Data
public class PromoChannelListParam extends BaseListDTO<PromoChannel> {

    /**
     * 推广游戏id
     */
    @ApiModelProperty(notes = "推广游戏id")
    private Long gameId;

    /**
     * 游戏应用类型
     */
    @ApiModelProperty(notes = "游戏应用类型")
    private Long gameCategoryId;

    /**
     * 推广渠道标识
     */
    @ApiModelProperty(notes = "推广渠道标识")
    private String channel;

    /**
     * 投手项目组
     */
    private String pitcherGroupId;

    /**
     * 投手id
     */
    @ApiModelProperty(notes = "投手id")
    private String pitcherId;

    /**
     * 推广媒体id
     */
    @ApiModelProperty(notes = "推广媒体id")
    private Long mediaId;

    /**
     * 推广版位位置id
     */
    @ApiModelProperty(notes = "推广版位位置id")
    private Long promoSiteId;

    /**
     * 推广服务商id
     */
    @ApiModelProperty(notes = "推广版位位置id")
    private Integer providerId;

    /**
     * 推广账号
     */
    @ApiModelProperty(notes = "推广账号")
    private String account;

    /**
     * 推广账号类型
     */
    @ApiModelProperty(notes = "推广账号类型")
    private Integer accountType;

    /**
     * 状态, 0 : 可用, 1: 禁用
     */
    @ApiModelProperty(notes = "状态, 0 : 可用, 1: 禁用")
    private Integer status;

    /**
     * 开始时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty(value = "开始时间")
    private LocalDate beginDate;

    /**
     * 结束时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty(value = "结束时间")
    private LocalDate endDate;

}
